Re: [textadept] Mime-type.lua errors in version 4.1

From: Robert <ro....at.web.de>
Date: Thu, 6 Oct 2011 18:39:52 +0200

Hi Ryan,

are you using my Markdown module?
I haven't done an update in a while so I'am not sure if there are any
incompatibilites.
You might try running Textadept with a 'clean' userhome, e.g.

textadept -u /tmp/testta

and then add your modules and init.lua one by one to see where your
error is originating.
And/or commenting out or temporarily renaming your modules.

Robert

On Thu, Oct 6, 2011 at 5:51 PM, Ryan Pusztai <rpusz....at.gmail.com> wrote:
> Hi,
> I recently updated to TA v4.1 and now I get an error when opening files with
> the .md file extension. Not sure what the issue is and
> I hope it is not from my .textadept/ changes. I have not touched anything
> related to the mime-types, except added a '' file to help load
> the correct lexer for some custom file types.
> I am running Ubuntu 11.04 x64
> Here is the error:
>     ...extadept_4.1.x86_64/modules/textadept/mime_types.lua:135: attempt to
> index field '?' (a nil value)
> When I press <Tab> it also throws this error:
>     .../textadept_4.1.x86_64/modules/textadept/snippets.lua:188: attempt to
> index local 'snip' (a function value)
> Here is my mime_types.conf contents:
>     % Lua
>     wlua lua
>     lexe lua
>     job lua
> --
> Regards,
> Ryan
>
> --
> You received this message because you are subscribed to the Google Groups
> "textadept" group.
> To post to this group, send email to textadept.at.googlegroups.com.
> To unsubscribe from this group, send email to
> textadept+unsubscribe.at.googlegroups.com.
> For more options, visit this group at
> http://groups.google.com/group/textadept?hl=en.
>
Received on Thu 06 Oct 2011 - 12:39:52 EDT

This archive was generated by hypermail 2.2.0 : Thu 08 Mar 2012 - 12:23:34 EST